<?php

declare(strict_types=1);

namespace Drupal\recurring_events_scheduler\Plugin\Scheduler;

use Drupal\Core\Plugin\ContainerFactoryPluginInterface;
use Drupal\scheduler\SchedulerPluginBase;

/**
 * Plugin for EventInstance entity type.
 *
 * @SchedulerPlugin(
 *  id = "eventinstance_scheduler",
 *  label = @Translation("EventInstance Scheduler Plugin"),
 *  description = @Translation("Provides support for scheduling EventInstance entities"),
 *  entityType = "eventinstance",
 *  dependency = "recurring_events_scheduler",
 *  schedulerEventClass = "\Drupal\recurring_events_scheduler\Event\SchedulerEventinstanceEvents",
 *  publishAction = "eventinstance_publish",
 *  unpublishAction = "eventinstance_unpublish"
 * )
 */
class EventInstanceScheduler extends SchedulerPluginBase implements ContainerFactoryPluginInterface {

}
