<?php

declare(strict_types=1);

namespace Drupal\recurring_events_scheduler\Plugin\Scheduler;

use Drupal\Core\Plugin\ContainerFactoryPluginInterface;
use Drupal\scheduler\SchedulerPluginBase;

/**
 * Plugin for EventSeries entity type.
 *
 * @SchedulerPlugin(
 *  id = "eventseries_scheduler",
 *  label = @Translation("EventSeries Scheduler Plugin"),
 *  description = @Translation("Provides support for scheduling EventSeries entities"),
 *  entityType = "eventseries",
 *  dependency = "recurring_events",
 *  schedulerEventClass = "\Drupal\recurring_events_scheduler\Event\SchedulerEventSeriesEvents",
 *  publishAction = "eventseries_publish",
 *  unpublishAction = "eventseries_unpublish"
 * )
 */
class EventSeriesScheduler extends SchedulerPluginBase implements ContainerFactoryPluginInterface {

}
